Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfRubyAlignType

    java.lang.Object
      java.lang.Enum<OdfRubyAlignType>
          org.odftoolkit.odfdom.dom.type.style.OdfRubyAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfRubyAlignType>

    public enum OdfRubyAlignType

extends Enum<OdfRubyAlignType>

DOM implementation of OpenDocument attribute style:ruby-align.

Enum Constant Summary
`CENTER`
`DISTRIBUTE_LETTER`
`DISTRIBUTE_SPACE`
`LEFT`
`RIGHT`

Method Summary
`static OdfRubyAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfRubyAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfRubyAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfRubyAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT

    public static final OdfRubyAlignType RIGHT

### LEFT

    public static final OdfRubyAlignType LEFT

### DISTRIBUTE_LETTER

    public static final OdfRubyAlignType DISTRIBUTE_LETTER

### DISTRIBUTE_SPACE

    public static final OdfRubyAlignType DISTRIBUTE_SPACE

### CENTER

    public static final OdfRubyAlignType CENTER

Method Detail

### values

    public static OdfRubyAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfRubyAlignType c : OdfRubyAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfRubyAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfRubyAlignType>`
  Returns:
    return the name of OdfRubyAlignType

### toString

    public static String toString(OdfRubyAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfRubyAlignType, see style:ruby-align
  Returns:
    return the name of OdfRubyAlignType

### enumValueOf

    public static OdfRubyAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfRubyAlignType
  Returns:
    return the constant of OdfRubyAlignType, see style:ruby-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.